[AWA] After ZDU: Component 'WP' is newer than the registered one.

Document ID : KB000110158
Last Modified Date : 09/08/2018
Show Technical Document Details
Issue:
During ZDU process to upgrade Automic Workload Automation from 12.0.5 to 12.0.5hf2:
At the step of starting up new WP & CP, new processes do not start successfully, below error message is found in the logs:
20180731/105705.093 - U00005134 Component 'WP' is newer than the registered one. Start your system again using mode 'cold start'.
Cause:
Investigation:
  • Execute the follow query:
Select * from UC_ZDU
  • Result shows only 1 entry of current (old) version
User-added image
  • Instead if should show:
User-added image
Cause:
  • DB was not loaded correctly, hence the query to UC_ZDU returned no corresponding version.
Resolution:
  • It is required to upgrade DB schema & initial data properly even if it's a hotfix release.
  • Please download the corresponding target package and load correct db schema & initial data (by using DBLoad Utility) before proceed to steps of starting up new Automation Engine Processes (CP&WP)
Additional Information:
  • Please find the Upgrading steps for Zero Downtime Upgrade here.